
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>串口通信-Java使用rxtx进行多串口开发问题 / iVAN</title>

    <meta name="description" content="串口通信-Java使用rxtx进行多串口开发问题 问题描述 Java使用rxtx进行多串口开发问题 # 我的项目第一版中使用RXTX库进行串口操作(同一时间只涉及单个串口在工作),都没出现过问题. # 现在项目需要,接入多个串口同时工作,出现了JVM Crash的问题. 现象描述: 程序使用rxtx.jar进行串口通信开发,同时进程多个串口双向通信, 假设使用到的串口名称为COM1和COM2 情况1: com1开启,com2开启--&gt;OK com1关闭--&gt;OK com1第二次开启-----&gt;奔溃,提示见附1 情况2: com ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">串口通信-Java使用rxtx进行多串口开发问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Java使用rxtx进行多串口开发问题<br />
        	<b></b>
        </dt>
<dd>
<h2># 我的项目第一版中使用RXTX库进行串口操作（同一时间只涉及单个串口在工作），都没出现过问题。</h2>
<h2># 现在项目需要，接入多个串口同时工作，出现了JVM Crash的问题。</h2>
<h1><strong>现象描述</strong>：</h1>
<h2>程序使用rxtx.jar进行串口通信开发，同时进程多个串口双向通信，</h2>
<h2>假设使用到的串口名称为COM1和COM2</h2>
<h1><strong>情况1</strong>：</h1>
<h2>com1开启，com2开启--&gt;OK</h2>
<h2>com1关闭--&gt;OK</h2>
<h2>com1第二次开启-----&gt;奔溃，提示见附1</h2>
<h1><strong>情况2</strong>：</h1>
<h2>com1开启，com2开启--&gt;OK</h2>
<h2>com2关闭--&gt;OK</h2>
<h2>com2第二次开启---&gt;ok</h2>
<h1><strong>情况3</strong>：</h1>
<h2>com1开启，com2开启--&gt;OK</h2>
<h2>com2关闭--&gt;OK</h2>
<h2>com1第二次开启-----&gt;提示串口被占用，正常</h2>
<h1><strong>情况4</strong>：</h1>
<h2>com1开启，com2开启--&gt;OK</h2>
<h2>com1关闭--&gt;OK</h2>
<h2>com2关闭--&gt;OK</h2>
<h2>com1第二次开启-----&gt;OK</h2>
<h1><strong>个人总结下情况</strong>：</h1>
<h2>使用多个串口，如果有串口要进行第二次开启，且这个串口在机器上扫描出来是第一个串口的话，需先将所有串口都关闭后再执行串口开启，否则就会出现错误。</h2>
<h1><strong>附1</strong>：以下运行出错时提示的内容，具体日志在hs_err_pid9032.log中</h1>
<pre><code> # A fatal error has been detected by the Java Runtime Environment:
#
#  EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=0x00000001800071cd, pid=9032, tid=5016
#
# JRE version: Java(TM) SE Runtime Environment (7.0_51-b13) (build 1.7.0_51-b13)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (24.51-b03 mixed mode windows-amd64 compressed oops)
# Problematic frame:
# C  [rxtxSerial.dll+0x71cd]
#
# Failed to write core dump. Minidumps are not enabled by default on client versions of Windows
#
# An error report file with more information is saved as:
# C:UsersJackworkspaceTestProjecths_err_pid9032.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
</code></pre>
<h1><strong>附2</strong>：简单测试代码</h1>
<pre><code> public static void main(String[] args) throws Exception {
    CommPortIdentifier com13PI = CommPortIdentifier
            .getPortIdentifier("COM13");
    CommPortIdentifier com1PI = CommPortIdentifier
            .getPortIdentifier("COM1");
    SerialPort com13 = (SerialPort) com13PI.open(main.class.getName(), 400);
    SerialPort com1 = (SerialPort) com1PI.open(main.class.getName(), 400);
    com13.close();
    //com1.close();
    com13PI = CommPortIdentifier.getPortIdentifier("COM13");
    com13 = (SerialPort) com13PI.open(main.class.getName(), 400);
 }
</code></pre>
<p>现在的做法是每次有串口需要变动时，都先关闭所有串口，再开启需要用到的多个目标串口，但这样灵活性不高，有谁知道如果解决该问题的，望指点下，谢谢！</p>
</dd>
</dl>
<h1>解决方案</h1>
<p><a href="http://blog.csdn.net/xxx_zhi/article/details/8660297" rel="external nofollow noreferrer">java 使用rxtx 进行串口交流。</a><br /><a href="http://blog.csdn.net/yumikoo/article/details/3389837" rel="external nofollow noreferrer">C++Builder中使用MSCOMM进行串口编程</a></p>
<p>解决方案二：<br />
    <br />直接用JVM调C库，是比较容易出现JVM崩溃的问题；为了节约时间成本，最好不要这么做；<br />
可以用ICE来实现Java和C++的相互调用，比较安全</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 05:09:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e4%b8%b2%e5%8f%a3%e9%80%9a%e4%bf%a1/" title="串口通信">串口通信</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>串口通信-Java使用rxtx进行多串口开发问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60KDyz.html" rel="bookmark">串口通信-Java通过得到的Socket流向串口发送数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java通过得到的Socket流向串口发送数据 我是一个菜鸟,最近学习Java ,写了个向串口发送数据的代码,有点问题,希望各位大神给指点指点 package server; import gnu.io.CommPortIdentifier; import gnu.io.PortInUseException; import gnu.io.SerialPort; import gnu.io.SerialPortEvent; import gnu.io.SerialPortEventLis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Nadaz.html" rel="bookmark">cpu-求大神，linux串口通信方面！！！7445CPU串口和CC2530通信验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神,linux串口通信方面!!!7445CPU串口和CC2530通信验证 我现在有一块7444的开发板,想实现7444通过串口传输命令给7444开发板上的另一模块cc2530(zigbee中的协调器),然后发送给给第三方开发板(只要当前cc2530能接收到命令就能直接发送数据到zigbee终端,以实现),然后终端zigbee模块的温度数据回传到7444开发板上的CC2530协调器,再从串扣回传给7445,已知我当前的串口设备文件是tty1,怎么编写C程序读取改开发板上cc2530传			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQ678z.html" rel="bookmark">串口通信java程序问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 从网上下载了那个串口通信的安装包之后,根据上面的步骤修改好了环境变量后想要运行包裹中的SimpleRead程序,但是每次运行都是出现staticerror:SimpleReadclassundefined.求大神指导!!!!急求解决方案!!! 解决方案 解决方案二:类未定义-缺少这个类的class文件吧--解决方案三:importjava.io.*;importjava.util.*;importjavax.comm.*;publicclassSimpleReadimplementsR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze75wjM.html" rel="bookmark">串口通信-java控制收银机&OpenCurlyDoubleQuote;客显&rdquo;实时显示单价总额等所对应的数字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java控制收银机&quot;客显&quot;实时显示单价总额等所对应的数字 小弟是新手,刚进公司,接手一个用java写的超市收银系统小项目,其他问题都解决了,就差这个客显了,很恼火啊! 目前我试过三种方法:1.用dos命令行,输入esc pos命令,或许是我不会用这个命令,数字倒是显示出来了,但是格式不对,小数也不能显示,更别说显示找零单价总额这些字样了:2.用java的串口通信技术,我电脑是笔记本,所以只能用vspd建几个虚拟串口,串口是建好了,但是从网上大牛摘取的代码却检测不到这几个串口,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw6ALM.html" rel="bookmark">Java串口通信读取浮点型数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java串口通信读取浮点型数据 怎么将如下位机中的数据:如温度读取并显示,大神们有具体的例子吗 解决方案 这个要取决于你下位机是用的什么方式通讯的,它的通信协议.基本的思路是读取串口数据,然后根据协议对得到缓冲区的字节数组进行解析. 参考:http://blog.csdn.net/wssiqi/article/details/14107341 解决方案二: java 串口通信Java串口通信简介			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEgW6qp.html" rel="bookmark">使用Java实现串口通信&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.介绍 使用Java实现的串口通信程序,支持十六进制数据的发送与接收. 源码下载地址:http://download.csdn.net/detail/kong_gu_you_lan/9611343 效果图如下: 2.RXTXcomm Java串口通信依赖的jar包RXTXcomm.jar 下载地址:http://download.csdn.net/detail/kong_gu_you_lan/9611334 内含32位与64位版本 使用方法: 拷贝 RXTXcomm.jar 到 JAVA_HO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q80Ap.html" rel="bookmark">Android 串口通信编程及串口协议分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 串口通信编程:嵌入式编程和可穿戴设备及智能设备都会用到串口,这里就带大家分析下, 一,android串口通信 串口通信采用一个第三方开源项目,实现串口数据收发. 1. 使用了http://code.google.com/p/android-serialport-api/的项目的serialport api和jni: 2. 支持4串口同时收发,有定时自动发送功能,收发模式可选Txt或Hex模式: 3.  n,8,1,没得选: 4. 为减轻界面卡顿的情况,接收区的刷新采用单独的线程进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrnR6M.html" rel="bookmark">linux编程-linux串口通信问题，急急急&excl;&excl;&excl;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux串口通信问题,急急急!!! 我在开发板上qt程序,开发板跟PC机的虚拟机通过USB转串口线连接,上面运行的是Ubuntu12.04系统,我在PC上发送字符串,然后在开发板上接收,接收的数据单个单个字符接收,为什么不是一整个字符串接收呢?并且接收不到第一个字符,而且差不多接收10秒之后就不在接收数据了!!!!.请各位大神赐教!!! int fd,num,rtn; struct termios options; fd = open(&quot;/dev/ttyUSB0&quot;, O_R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEj4wp.html" rel="bookmark">c&num;-C&num;串口通信问题，串口助手调试和真机测试不一样</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#串口通信问题,串口助手调试和真机测试不一样 我用的两台电脑装串口助手来测试发送信息,发送的是16进制信息.通过串口调试助手测试发送的信息是没有问题的.然后链接机器发送信息,机器没反映,用串口助手发送信息机器能正常运行,大神能指出哪里可能出问题? 解决方案 C# 串口通信调试助手1编程练习:串口通信调试助手 解决方案二: 串口助手发送能正常,那就建议看看你的串口初始化吧.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP2nvb.html" rel="bookmark" class="title">中国视频网站你准备扮演什么角色？</a>
					<div>
						&quot;收购完YouTube之后,Google计划今年在中国做点事情.&quot;对于众多国内视频网站而言,这条简单到不能再简单的消息究竟意味着春天脚步将至,还仅仅是&quot;看上去很美&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdoj2M.html" rel="bookmark" class="title">实例浅谈电子商务站点着陆页面的优化技巧</a>
					<div>
						在电子商务站点中,着陆页(Landing Page,有时被称为首要捕获用户的页面)就是当我们的潜在用户点击广告或者利用搜索引擎搜索后显示给用户的产品页面.电子商务网站来说,最看重的不是单纯的网络流量而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyryY5p.html" rel="bookmark" class="title">WorldWind系列十四：DEM数据加载和应用&mdash;&mdash;以SRTM为例（上）</a>
					<div>
						DEM应用在WW的三维表现中占有很重要的位置,跟影像数据同等重要!幸好影像和DEM的加载和处理原理上几乎一致,对基于WW搞GIS三维开发来说是件好事,理解好任何一种,另一种触类旁通!前一篇,主要从功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR1Rqz.html" rel="bookmark" class="title">MySoft&period;Data从入门到精通系列&lpar;四&rpar;【数据插入】</a>
					<div>
						前一章讲解了如何配置DbSession,本章重点讲解利用MySoft.Data进行数据的插入操作 这里先引用一下上一章的DbSession的配置代码 DbSession配置 /// &lt;summa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEly1Pz.html" rel="bookmark" class="title">Photoshop调出外景照片甜美的LOMO效果</a>
					<div>
						  Photoshop调出外景照片甜美的LOMO效果             效果图: 原图: 步骤如下 第一步:先用浅变映射选取黑白色方块,如下图 接着把混合模式调整为柔光,不透明度降低 这样可以增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNy0vb.html" rel="bookmark" class="title">PS怎么将图片的背景色更改为透明色</a>
					<div>
						  PS怎么将图片的背景色更改为透明色 1.首先打开ps进入主页,然后添加需要进行处理的图片 2.接着点击上方的&quot;新建&quot;(新建一块背景色为透明的画布背景) 3.然后同时打开两张图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NvVgz.html" rel="bookmark" class="title">利用Photoshop制作沙丘中的破碎建筑效果教程</a>
					<div>
						  利用Photoshop制作沙丘中的破碎建筑,文字部分基本上都是合成的,做出背景及立体字以后,需要用素材及画笔等给文字增加纹理,后期处理细节及调整颜色即可 最终效果 1.创建一个700 * 430像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq85gab.html" rel="bookmark" class="title">联机命令解释程序的作用与工作流程</a>
					<div>
						  命令解释程序的主要功能是对用户输入的命令进行解释,然后转入相应命令的处理程序去执行.操作系统一般都把命令解释程序放在OS的最高层,以实现与用户的直接交互. 1.命令解释程序的作用 键盘终端处理程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwvGxp.html" rel="bookmark" class="title">缺少d3dx9</a>
					<div>
						  1.各种未知错误如&quot;配置不正确&quot;或其他错误: 首先确认安装了vcredist(VC++)和Framework/Redistributable三个程序. 2.缺少d3dx9_xx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw5nKp.html" rel="bookmark" class="title">光电鼠标常见故障及处理方法</a>
					<div>
						  光电鼠标使用光电传感器替代机械鼠标中的机械元件,因而维修方法具有独特性.光电鼠标故障的90%以上为断线.按键接触不良.光学系统脏污造成,少数劣质产品也常有虚焊和元件损坏的情况出现. 电缆芯片断线  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwQrxp.html" rel="bookmark" class="title">c&plus;&plus;中如何将子线程的参数传回主线程</a>
					<div>
						问题描述 c++中如何将子线程的参数传回主线程 1C DWORD WINAPI threadFunction(LPVOID pArg) //返回值进程id(dword类型) 参数类型 LPVOID{  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7vO6b.html" rel="bookmark" class="title">ubuntu-我的笔记本想安装Ubuntu系统 请帮我安装 非常感谢！</a>
					<div>
						问题描述 我的笔记本想安装Ubuntu系统 请帮我安装 非常感谢! 网上的资料试过了,没有安装上,可能是我的硬盘分区可能有点问题, 但我不想格式化我的硬盘 解决方案 淘宝上花50块钱买一个串口的SAT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxWYEb.html" rel="bookmark" class="title">2016深度学习统治人工智能？深度学习十大框架</a>
					<div>
						2015 年结束了,是时候看看 2016 年的技术趋势,尤其是关于深度学习方面.新智元在 2015 年底发过一篇文章&lt;深度学习会让机器学习工程师失业吗?&gt;,引起很大的反响.的确,过去一年的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn734Zz.html" rel="bookmark" class="title">UIView的layoutSubviews和drawRect方法何时调用</a>
					<div>
						之前做登录时遇到键盘弹出要改约束的问题,今天又遇到类似的问题,改约束就要重新绘图,让我又想起了layoutSubviews.drawRect方法调用的问题,自己想了想还是想的不全,还是要百度.搜到了h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2kQGb.html" rel="bookmark" class="title">交互-停车场管理系统中的软硬件是如何对接起来的？</a>
					<div>
						问题描述 停车场管理系统中的软硬件是如何对接起来的? 软件(无所谓什么语言写的)是通过什么方式获取到停车场道闸开闭等硬件动作所发出的信号的? 解决方案 最好的方法是使用工控机. 也可用PCL控件器.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmn06b.html" rel="bookmark" class="title">编程-QQ登录窗口一直传不进去值</a>
					<div>
						问题描述 QQ登录窗口一直传不进去值 试过sendmessage postmessage sendkeys都不能用,(除了回车键),同样的方法在TXT文档上可以,,求大神支招.我只是想通过程序自动输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl5wGp.html" rel="bookmark" class="title">查询语句很复杂-mysql由四张表查出一张新的表，sql语句太复杂，求助！！！！</a>
					<div>
						问题描述 mysql由四张表查出一张新的表,sql语句太复杂,求助!!!! 我要查出学生的学号,班级,姓名,选课题目,指导老师,下面是4张表的结构: 1. 学生信息表(tstudentInfo):ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRBXZp.html" rel="bookmark" class="title">iOS集成环信报错</a>
					<div>
						问题描述 一开始报的i386错误,我就按照晚上的方法导入FixFopen.c文件 解决方案 我刚才也遇到这个问题了,我解决了.把自己的pch文件的引用路径看一下是否正确.我修改之后就好了.希望可以帮到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLvXDM.html" rel="bookmark" class="title">360应用下架事件升级美媒追问&OpenCurlyDoubleQuote;隐私门&rdquo;真相</a>
					<div>
						近日,美国媒体IBTimes以&lt;360的中国式隐私报道&gt;为题,再次聚焦360应用遭苹果下架事件.据IBTimes报道,苹果公司将奇虎360旗下所有的产品--包括360手机卫士.浏览器等在内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKy1op.html" rel="bookmark" class="title">spring管理的对象类型问题</a>
					<div>
						问题描述 环境:spring4.0.6+jre7或者spring4.0.0+jre6问题:通过spring获取到的对象无法强转为对应的类型,通过打印对应的类型又是相同的.如下图,求大牛指点一二. 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgDGRM.html" rel="bookmark" class="title">libssh2 x11- 使用libssh2库启动x11</a>
					<div>
						问题描述 使用libssh2库启动x11 最近在研究libssh2库,,想使用这个库进行远程访问服务器,并在客户端开启图形界面的程序,譬如(xterm),libssh2官网上有个例子x11.c,我在L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwWANM.html" rel="bookmark" class="title">asp制作网页登录界面数据库出错</a>
					<div>
						问题描述 这是登录界面的部分代码,登录输入用户名密码时只有数据库第一行的数据可以登录,其他行的提示密码错误,删除第一行之后,第二行就可以登录了,其他的还是不可以.请大家帮忙看下时哪个语句出错了谢谢pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk30DM.html" rel="bookmark" class="title">ASP&period;NET和PHP哪个简单&comma;易学&comma;上手快&comma;好找工作&quest;&quest;&quest;&sol;</a>
					<div>
						问题描述 ASP.NET和PHP哪个简单,易学,上手快,好找工作???顺便问下档次哪个高? 解决方案 解决方案二:呵呵....很现实的问题....解决方案三:这么晚了,问这个干嘛呵呵解决方案四:貌似A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAERlvM.html" rel="bookmark" class="title">怎么给动态添加的img添加元素data-toggle&equals;&amp;amp&semi;amp&semi;quot&semi;modal&amp;amp&semi;amp&semi;quot&semi;呢？？</a>
					<div>
						问题描述 怎么给动态添加的img添加元素data-toggle=&quot;modal&quot;呢?? 解决方案 添加属性不难,主要是需要重新调用下插件的api初始化下效果,要不加这个效果一般是没用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnkqWM.html" rel="bookmark" class="title">Windows8&period;1新版本再度泄露</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   距离上一版泄露的Windows8.1 build 93 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q5QdM.html" rel="bookmark" class="title">详解微信小程序开发之下拉刷新 上拉加载&lowbar;javascript技巧</a>
					<div>
						微信小程序中的下拉刷新,上拉加载的功能很常见,目前我知道的有两种可行的方法,一是scroll-view,二是整个页面刷新.今天说说第一种,自己造轮子,难免有些瑕疵,日后慢慢完善. 上gif: 原理:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV79rlb.html" rel="bookmark" class="title">MySQL的mysqldump工具用法详解&lowbar;Mysql</a>
					<div>
						导出要用到MySQL的mysqldump工具,基本用法是:   复制代码 代码如下: shell&gt; mysqldump [OPTIONS] database [tables]   如果你不给定任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2JV6z.html" rel="bookmark" class="title">原生Js与jquery的多组处理&comma; 仅展开一个区块的折叠效果&lowbar;javascript技巧</a>
					<div>
						需求是, 同一个页面, 有多组(不固定), 每组区块数量不一定一样的小区块. 要求每次只展开一个区块. 实现原理其实很简单, 点击导航, 若它的区块为隐藏, 则展开它, 同时, 隐藏掉同组其他区块;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nnv9p.html" rel="bookmark" class="title">VBS教程：函数-IsNull 函数&lowbar;vbs</a>
					<div>
						IsNull 函数 返回 Boolean 值,指明表达式是否不包含任何有效数据 (Null). IsNull(expression) expression 参数可以是任意表达式. 说明 如果 expr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N0d5p.html" rel="bookmark" class="title">关于vb&period;net的post get问题 404错误 求指教。。。要疯了</a>
					<div>
						问题描述 ImportsSystemImportsSystem.IOImportsSystem.NetImportsSystem.TextImportsSystem.WebImportsSystem. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
